Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: Problem z apt-get - Elementary OS 0.3.2 Freya  (Przeczytany 162 razy)

Offline YoungLion

  • Newbie
  • *
  • Wiadomości: 2
Problem z apt-get - Elementary OS 0.3.2 Freya
« dnia: Listopad 11, 2016, 01:16:13 pm »
Cześć wszystkim!

Zacznę od tego, iż jestem, że tak to ujmę "świeżakiem", jeżeli chodzi o Linux'a więc z góry proszę o wyrozumiałość  :) Mój problem polega na tym, iż po instalacji różnych bibliotek oraz innych rzeczy potrzebnych do obsługi Xtion'a PRO zaczął mi szwankować apt-get... . W sumie to w ogóle nie działa i przy próbie instalacji czegokolwiek wyrzuca mi ten błąd: http://pastebin.com/Bkh2H8W0  Próbowałem już komendy "sudo apt-get -f install", którą konsola zalecała abym wpisał w tej sytuacji, lecz "wyskakiwało" to samo, co w przypadku instalacji czegokolwiek. Próbowałem również komendy, która była stosowana podczas podobnego problemu "sudo dpkg --configure -a" i ona wyrzuciła mi to: http://pastebin.com/s1iGJuL2 Niestety nie mam pojęcia jak to naprawić, a jest to strasznie uciążliwe, ponieważ problem ten uniemożliwia mi instalacje czegokolwiek... Liczę na waszą pomoc i z góry dzięki za każdą odpowiedź!


Offline Albedo 0.64

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 541
Odp: Problem z apt-get - Elementary OS 0.3.2 Freya
« Odpowiedź #1 dnia: Listopad 11, 2016, 01:47:21 pm »
Witaj. Wyglada na to, że są tu konflikty i niespełnione zależnosci między architekturą 64 i 32 bit. W systemie 64 trzeba doinstalować architekturę 32 bit żeby programy 32-bitowe działały prawidłowo. Problem może być również w tym, że sterownik dla xtion pro był przewidziany dla Ubuntu 10.10 czyli dla starszej wersji jądra.
Linux Mint Debian
Linux registered user 556565

Offline YoungLion

  • Newbie
  • *
  • Wiadomości: 2
Odp: Problem z apt-get - Elementary OS 0.3.2 Freya
« Odpowiedź #2 dnia: Listopad 11, 2016, 02:09:30 pm »
Wydaje mi się, że problem nie tkwi w tym, iż na Freya mam Ubuntu 14.04, bo mi działa ten Xtion na OpenNI2 + mój prowadzący ma na laptopie Ubuntu 16.04 i przy mnie, również odpalał tego Xtion'a. Co do tego doinstalowania architektury, to poszperałem w sieci i znalałem iż mam użyć tą komendę "sudo dpkg --add-architecture i386
" , a następnie "sudo apt-get update". Niestety przy "sudo apt-get update", mam już jakieś błędy:
http://pastebin.com/JdSfLJKn, a po wpisaniu "sudo apt-get -f install" wyrzuca mi to: http://pastebin.com/2NcuPSWi

Offline Albedo 0.64

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 541
Odp: Problem z apt-get - Elementary OS 0.3.2 Freya
« Odpowiedź #3 dnia: Listopad 11, 2016, 06:36:07 pm »
Doczytałeś te logi do ostatniej linijki? Jeśli nie, to przeczytaj i usuń lub wyłącz repozytorium ppa floe. Nie wiem od czego to jest ale ci bruździ.
Linux Mint Debian
Linux registered user 556565